Microsoft.Build.Engine 2.0.0.0 System.Object To be added.

Represents a Task element in a project.

- Method
  System.Void `` `` To be added.

  Adds an Output element with the specified TaskParameter and ItemName attributes to the Task element.

  The value of the TaskParameter attribute of the Output element. The value of the ItemName attribute of the Output element. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds an Output element with the specified TaskParameter and PropertyName attributes to the Task element.

  The value of the TaskParameter attribute of the Output element. The value of the PropertyName attribute of the Output element. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Condition attribute value of the Task element.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets the ContinueOnError attribute value of the Task element.

  2.0.0.0
- Method
  System.Boolean To be added.

  Runs the task represented by this object.

  true if the method was successful; otherwise, false.

  2.0.0.0
- Method
  System.String[]

  The returned array excludes the Condition and ContinueOnError parameters.

  If no parameters are passed to the task, this method returns an empty array.

  Gets an array containing the parameter names passed to the task.

  An array containing the parameter names passed to the task.

  2.0.0.0
- Method
  System.String `` To be added.

  Gets the value of the specified task parameter.

  The value of the specified task parameter.

  The parameter name. 2.0.0.0
- Property
  Microsoft.Build.Framework.ITaskHost To be added. To be added.

  Gets or sets the host object associated with the task.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the task name.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the value of the specified task parameter.

  The parameter name to set. The value to assign to . 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Sets the value of the specified task parameter.

  The parameter name to set. The value to assign to . true to treat as a literal value; otherwise, false. 2.0.0.0
- Property
  System.Type To be added. To be added.

  Gets the of the class that implements the task.

  2.0.0.0